package javax.xml.stream;

import javax.xml.namespace.NamespaceContext;

public interface XMLStreamWriter
{
    public abstract void writeStartElement(String p0) throws XMLStreamException;
    
    public abstract void writeStartElement(String p0, String p1) throws XMLStreamException;
    
    public abstract void writeStartElement(String p0, String p1, String p2) throws XMLStreamException;
    
    public abstract void writeEmptyElement(String p0, String p1) throws XMLStreamException;
    
    public abstract void writeEmptyElement(String p0, String p1, String p2) throws XMLStreamException;
    
    public abstract void writeEmptyElement(String p0) throws XMLStreamException;
    
    public abstract void writeEndElement() throws XMLStreamException;
    
    public abstract void writeEndDocument() throws XMLStreamException;
    
    public abstract void close() throws XMLStreamException;
    
    public abstract void flush() throws XMLStreamException;
    
    public abstract void writeAttribute(String p0, String p1) throws XMLStreamException;
    
    public abstract void writeAttribute(String p0, String p1, String p2, String p3) throws XMLStreamException;
    
    public abstract void writeAttribute(String p0, String p1, String p2) throws XMLStreamException;
    
    public abstract void writeNamespace(String p0, String p1) throws XMLStreamException;
    
    public abstract void writeDefaultNamespace(String p0) throws XMLStreamException;
    
    public abstract void writeComment(String p0) throws XMLStreamException;
    
    public abstract void writeProcessingInstruction(String p0) throws XMLStreamException;
    
    public abstract void writeProcessingInstruction(String p0, String p1) throws XMLStreamException;
    
    public abstract void writeCData(String p0) throws XMLStreamException;
    
    public abstract void writeDTD(String p0) throws XMLStreamException;
    
    public abstract void writeEntityRef(String p0) throws XMLStreamException;
    
    public abstract void writeStartDocument() throws XMLStreamException;
    
    public abstract void writeStartDocument(String p0) throws XMLStreamException;
    
    public abstract void writeStartDocument(String p0, String p1) throws XMLStreamException;
    
    public abstract void writeCharacters(String p0) throws XMLStreamException;
    
    public abstract void writeCharacters(char[] p0, int p1, int p2) throws XMLStreamException;
    
    public abstract String getPrefix(String p0) throws XMLStreamException;
    
    public abstract void setPrefix(String p0, String p1) throws XMLStreamException;
    
    public abstract void setDefaultNamespace(String p0) throws XMLStreamException;
    
    public abstract void setNamespaceContext(NamespaceContext p0) throws XMLStreamException;
    
    public abstract NamespaceContext getNamespaceContext();
    
    public abstract Object getProperty(String p0) throws IllegalArgumentException;
}
